use serde::Deserialize;
use serde::Serialize;

use super::document::WasmDocument;

#[derive(Serialize, Deserialize)]
#[serde(tag = "status", content = "content")]
pub(crate) enum ParseResult<'s> {
    #[serde(rename = "success")]
    Success(WasmDocument<'s>),

    #[serde(rename = "error")]
    Error(String),
}
